System.Security 2.0.0.0 4.0.0.0 System.Enum

This enumeration is used with the and methods to protect data through encryption.

Caution The enumeration value allows multiple accounts to unprotect data. Use this value only when you trust every account on a computer. For most situations, you should use the value.

Specifies the scope of the data protection to be applied by the method.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DataProtectionScope

  The protected data is associated with the current user. Only threads running under the current user context can unprotect the data.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DataProtectionScope

  The protected data is associated with the machine context. Any process running on the computer can unprotect data. This enumeration value is usually used in server-specific applications that run on a server where untrusted users are not allowed access.